<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (20) on Thu Apr 27 09:20:17 CEST 2023 -->
<title>M-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-27">
<meta name="description" content="index: M">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html#mailSender" class="member-name-link">mailSender</a> - Variable in class com.eoi.springwebsecurity.security.controllers.<a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html" title="class in com.eoi.springwebsecurity.security.controllers">ForgotPasswordController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/SpringWebSecurityApplication.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class com.eoi.springwebsecurity.<a href="../com/eoi/springwebsecurity/SpringWebSecurityApplication.html" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplication</a></dt>
<dd>
<div class="block">The entry point of application.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.coreapp.controllers">MainController</a> - Class in <a href="../com/eoi/springwebsecurity/coreapp/controllers/package-summary.html">com.eoi.springwebsecurity.coreapp.controllers</a></dt>
<dd>
<div class="block">The type Main controller.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html#%3Cinit%3E()" class="member-name-link">MainController()</a> - Constructor for class com.eoi.springwebsecurity.coreapp.controllers.<a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html" title="class in com.eoi.springwebsecurity.coreapp.controllers">MainController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserDetailsServiceImpl.html#mapRolesToAuthorities(java.util.List)" class="member-name-link">mapRolesToAuthorities(List&lt;Role&gt;)</a> - Method in class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserDetailsServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserDetailsServiceImpl</a></dt>
<dd>
<div class="block">Esta función auxiliar se utiliza para convertir la lista de roles del usuario en una colección de
 autoridades que pueden ser utilizadas por Spring Security.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html#mapToUserDto(com.eoi.springwebsecurity.coreapp.entities.User)" class="member-name-link">mapToUserDto(User)</a> - Method in class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/models/ResponseMessage.html#message" class="member-name-link">message</a> - Variable in class com.eoi.springwebsecurity.filemanagement.models.<a href="../com/eoi/springwebsecurity/filemanagement/models/ResponseMessage.html" title="class in com.eoi.springwebsecurity.filemanagement.models">ResponseMessage</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
